Appointment $referral-schedule-update

post/Appointment/$referral-schedule-update
Page View

This resource contains entries with a patient, provider, or location schedule. Each appointment entry contains the status, participants, date/time, and other details. 

For standard FHIR®, you can review, retrieve, create, update, or cancel appointment information.

For 360x workflows, you can update appointment information for a referred patient service or procedure.

Supported fields and schema examples

We support any valid FHIR® field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements.

Our schema examples show the shape and possibility of each FHIR® resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. Consider reviewing FHIR® API actions for realistic examples for particular use cases.

$referral-schedule-update

Open beta feature

This is an open beta feature, which means you won’t see it available in your organization until you opt in. If you’re interested in joining this beta, talk to a Redoxer to find out if you’d be a good fit.

Update a referral request from your connection with a scheduling change for a referred patient service or procedure.

At a minimum, this operation should include this bundle of resources:

Required

  • Appointment
  • Patient

Optional

  • Location
  • Organization
  • Practitioner
  • ServiceRequest

Request parameters and payload

cURL request example

bash
1
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/Appointment/$referral-schedule-update' \
2
--request POST \
3
--header 'Authorization: Bearer $API_TOKEN' \
4
--header 'Content-Type: application/fhir+json' \
5
--data '{
6
"resourceType": "Bundle",
7
"id": "RedoxReferralScheduleUpdateBundleExample",
8
"type": "message",
9
"entry": [
10
{
11
"resource": {
12
"eventUri": "https://fhir.redoxengine.com/EventDefinition/ReferralScheduleUpdate",
13
"resourceType": "MessageHeader",
14
"id": "RedoxReferralScheduleUpdateMessageHeaderExample",
15
"source": {
16
"name": "Good Health Clinics",
17
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
18
},
19
"focus": [
20
{
21
"reference": "Appointment/RedoxAppointmentReferralExample"
22
}
23
]
24
}
25
},
26
{
27
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Appointment/RedoxAppointmentReferralExample",
28
"resource": {
29
"resourceType": "Appointment",
30
"id": "RedoxAppointmentReferralExample",
31
"participant": [
32
{
33
"status": "accepted",
34
"actor": {
35
"reference": "Patient/RedoxPatientExampleTimothy"
36
}
37
}
38
],
39
"status": "booked",
40
"start": "2025-10-15T14:00:00Z",
41
"end": "2025-10-15T14:30:00Z",
42
"basedOn": [
43
{
44
"reference": "ServiceRequest/example-referral"
45
}
46
]
47
}
48
},
49
{
50
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Patient/RedoxPatientExampleTimothy",
51
"resource": {
52
"resourceType": "Patient",
53
"id": "RedoxPatientExampleTimothy",
54
"meta": {
55
"extension": [
56
{
57
"url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
58
"valueInteger": 1
59
}
60
]
61
},
62
"extension": [
63
{
64
"extension": [
65
{
66
"url": "text",
67
"valueString": "White"
68
}
69
],
70
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
71
},
72
{
73
"extension": [
74
{
75
"url": "ombCategory",
76
"valueCoding": {
77
"code": "2135-2",
78
"system": "urn:oid:2.16.840.1.113883.6.238",
79
"display": "Hispanic or Latino"
80
}
81
},
82
{
83
"url": "text",
84
"valueString": "Hispanic"
85
}
86
],
87
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
88
}
89
],
90
"identifier": [
91
{
92
"value": "0000000001",
93
"system": "urn:redox:health-one:MR"
94
},
95
{
96
"value": "101-01-0001",
97
"system": "http://hl7.org/fhir/sid/us-ssn"
98
}
99
],
100
"name": [
101
{
102
"given": [
103
"Timothy",
104
"Paul"
105
],
106
"family": "Bixby",
107
"use": "official"
108
},
109
{
110
"text": "Billy",
111
"use": "usual"
112
}
113
],
114
"gender": "male",
115
"birthDate": "2008-01-06",
116
"telecom": [
117
{
118
"value": "+18088675301",
119
"system": "phone",
120
"use": "home"
121
},
122
{
123
"value": "+18008675309",
124
"system": "phone",
125
"use": "work"
126
},
127
{
128
"value": "timothy.bixby@redoxengine.com",
129
"system": "email"
130
}
131
],
132
"address": [
133
{
134
"line": [
135
"4762 Hickory Street"
136
],
137
"city": "Monroe",
138
"district": "Greene",
139
"state": "WI",
140
"postalCode": "53566",
141
"country": "US",
142
"use": "home"
143
}
144
],
145
"maritalStatus": {
146
"coding": [
147
{
148
"code": "M",
149
"system": "http://hl7.org/fhir/v3/MaritalStatus",
150
"display": "Married"
151
}
152
],
153
"text": "Married"
154
},
155
"communication": [
156
{
157
"language": {
158
"coding": [
159
{
160
"code": "en",
161
"system": "urn:ietf:bcp:47"
162
}
163
],
164
"text": "English"
165
}
166
}
167
],
168
"contact": [
169
{
170
"name": {
171
"given": [
172
"Barbara"
173
],
174
"family": "Bixby"
175
},
176
"telecom": [
177
{
178
"value": "+18088675303",
179
"system": "phone",
180
"use": "home"
181
},
182
{
183
"value": "barbara.bixby@redoxengine.com",
184
"system": "email"
185
}
186
],
187
"address": {
188
"line": [
189
"4762 Hickory St."
190
],
191
"city": "Monroe",
192
"district": "Green",
193
"state": "WI",
194
"postalCode": "53566",
195
"country": "USA"
196
},
197
"relationship": [
198
{
199
"coding": [
200
{
201
"code": "MTH",
202
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
203
"display": "mother"
204
}
205
],
206
"text": "Mother"
207
},
208
{
209
"coding": [
210
{
211
"code": "C",
212
"system": "http://terminology.hl7.org/CodeSystem/v2-0131",
213
"display": "Emergency Contact"
214
}
215
],
216
"text": "Emergency Contact"
217
}
218
]
219
}
220
],
221
"generalPractitioner": [
222
{
223
"reference": "Practitioner/RedoxPractitionerExamplePat"
224
}
225
],
226
"managingOrganization": {
227
"reference": "Organization/RedoxOrganizationManagingExample"
228
}
229
}
230
},
231
{
232
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/ServiceRequest/RedoxServiceRequestOrderExample",
233
"resource": {
234
"resourceType": "ServiceRequest",
235
"id": "RedoxServiceRequestOrderExample",
236
"identifier": [
237
{
238
"system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.798268",
239
"value": "6547891230"
240
}
241
],
242
"intent": "order",
243
"priority": "stat",
244
"status": "active",
245
"code": {
246
"coding": [
247
{
248
"code": "49086-2",
249
"system": "http://loinc.org",
250
"display": "First trimester maternal screen with nuchal translucency panel"
251
}
252
]
253
},
254
"authoredOn": "2022-08-08T08:00:00.000Z",
255
"note": [
256
{
257
"text": "Additional information"
258
}
259
],
260
"reasonReference": [
261
{
262
"reference": "DocumentReference/RedoxDocumentReferenceExampleMediaTimothy"
263
}
264
],
265
"supportingInfo": [
266
{
267
"reference": "Observation/RedoxPlateletObservationExample"
268
}
269
],
270
"subject": {
271
"reference": "Patient/RedoxPatientExampleTimothy"
272
},
273
"requester": {
274
"reference": "Practitioner/RedoxPractitionerExamplePat"
275
},
276
"performer": [
277
{
278
"reference": "Practitioner/RedoxPractitionerExampleJoan"
279
}
280
],
281
"specimen": [
282
{
283
"reference": "Specimen/RedoxSpecimenExample"
284
}
285
],
286
"encounter": {
287
"reference": "Encounter/RedoxEncounterExample"
288
}
289
}
290
},
291
{
292
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Practitioner/RedoxPractitionerExamplePat",
293
"resource": {
294
"resourceType": "Practitioner",
295
"id": "RedoxPractitionerExamplePat",
296
"identifier": [
297
{
298
"system": "http://hl7.org/fhir/sid/us-npi",
299
"value": "4356789876"
300
}
301
],
302
"name": [
303
{
304
"given": [
305
"Pat"
306
],
307
"family": "Granite"
308
}
309
],
310
"address": [
311
{
312
"line": [
313
"123 Main St."
314
],
315
"city": "Madison",
316
"district": "Dane",
317
"state": "WI",
318
"postalCode": "53703",
319
"country": "USA"
320
}
321
],
322
"telecom": [
323
{
324
"value": "+16085551234"
325
}
326
]
327
}
328
},
329
{
330
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Organization/RedoxOrganizationManagingExample",
331
"resource": {
332
"resourceType": "Organization",
333
"id": "RedoxOrganizationManagingExample",
334
"identifier": [
335
{
336
"value": "1234",
337
"system": "urn:oid:1.2.3.4"
338
}
339
],
340
"active": true,
341
"name": "Custodial Org",
342
"address": [
343
{
344
"line": [
345
"123 Main St"
346
],
347
"city": "Madison",
348
"state": "WI"
349
}
350
],
351
"telecom": [
352
{
353
"value": "1-800-123-4567",
354
"system": "phone"
355
}
356
],
357
"type": [
358
{
359
"text": "Test Type"
360
}
361
]
362
}
363
},
364
{
365
"fullUrl": "https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Location/RedoxLocationExample",
366
"resource": {
367
"resourceType": "Location",
368
"id": "RedoxLocationExample",
369
"name": "RHS Vista Oaks Clinic",
370
"type": [
371
{
372
"coding": [
373
{
374
"code": "OF",
375
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
376
"display": "Outpatient Facility"
377
}
378
]
379
}
380
],
381
"physicalType": {
382
"coding": [
383
{
384
"code": "bu",
385
"system": "http://terminology.hl7.org/CodeSystem/location-physical-type",
386
"display": "Building"
387
}
388
]
389
}
390
}
391
}
392
],
393
"timestamp": "2025-09-29T12:20:00.000Z",
394
"Meta": {
395
"Logs": [
396
{
397
"ID": "d9f5d293-7110-461e-a875-3beb089e79f3",
398
"AttemptID": "925d1617-2fe0-468c-a14c-f8c04b572c54"
399
}
400
],
401
"Test": true,
402
"EventDateTime": "2026-05-14T14:06:57.672Z",
403
"Source": {
404
"ID": "7ce6f387-c33c-417d-8682-81e83628cbd9",
405
"Name": "Redox Dev Tools"
406
},
407
"Destinations": [
408
{
409
"ID": "af394f14-b34a-464f-8d24-895f370af4c9",
410
"Name": "Redox EMR"
411
}
412
],
413
"DataModel": "FHIR.Appointment",
414
"EventType": "$referral-schedule-update"
415
}
416
}'

Request Body Schema

    Bundle sent as part of a referral-schedule-update message

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Identifies this bundle as a message

    Value: message
  • entry
    required, Array of messageHeader, appointment, patient, serviceRequest

    An entry in the bundle containing a FHIR resource

    • resource
      required, object

      Additional metadata about the message including the event

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        Information about the sender of the message and the Bundle content.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

        • name
          string

          Human-readable name for the source system.

      • focus
        required, Array of object

        This describes the focal target resource of the message from which the remainder of the content is referenced from

        Must be a resource of type Appointment.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • eventUri
        required, string

        This describes the message being communicated

        Value: https://fhir.redoxengine.com/EventDefinition/ReferralScheduleUpdate
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

Response fields and example

Example
json
1
"Operation Response"

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.